#!/bin/bash
# Script for MacOS

# Set the target path (MacOS equivalent of Windows AppData)
TARGET_DIR="$HOME/Library/Application Support/Elderan/otclientv8"

# Prompt the user for the character name and replace spaces with underscores
echo "Enter your character's name:"
read CHARACTER_NAME
SANITIZED_NAME=$(echo "$CHARACTER_NAME" | sed 's/ /_/g')

echo "Minimap character name will be $SANITIZED_NAME%"

# Check if the target directory exists
if [ ! -d "$TARGET_DIR" ]; then
  echo "The target directory does not exist: $TARGET_DIR"
  exit 1
fi

# Change to the target directory
cd "$TARGET_DIR" || exit 1

# Copy the new file and rename it
if [ -f "./minimap.otmm" ]; then
  echo "Copying the new minimap file minimap_$SANITIZED_NAME.otmm to $TARGET_DIR..."
  cp "./minimap.otmm" "$TARGET_DIR/minimap_$SANITIZED_NAME.otmm"
  echo "The minimap file has been saved."
else
  echo "The file minimap.otmm is not in the current directory. Ensure the file exists."
  exit 1
fi

read -p "Press any key to continue . . . " -n1