@echo off
:: Script for Windows 10/11

:: Set the target path
set "TARGET_DIR=%AppData%\Elderan\otclientv8"

:: Prompt the user for the character name
set /p CHARACTER_NAME=Enter your character's name: 
set "SANITIZED_NAME=%CHARACTER_NAME: =_%"

echo Minimap character name will be %SANITIZED_NAME%

:: Check if the target directory exists
if not exist "%TARGET_DIR%" (
  echo The target directory does not exist: %TARGET_DIR%
  exit /b 1
)

:: Change to the target directory
cd /d "%TARGET_DIR%" || exit /b 1

:: Copy the new file and rename it
if exist "%~dp0minimap.otmm" (
  echo Copying the new minimap file minimap_%SANITIZED_NAME%.otmm to %TARGET_DIR%...
  copy "%~dp0minimap.otmm" "%TARGET_DIR%\minimap_%SANITIZED_NAME%.otmm"
  echo The minimap file has been saved.
) else (
  echo The file minimap_file.otmm is not in the current directory. Ensure the file exists.
  exit /b 1
)

pause